Bug 1231445 - Scribus not displayed in GNOME Software Center [NEEDINFO]
Summary: Scribus not displayed in GNOME Software Center
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: scribus
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-13 12:21 UTC by Michael Schwendt
Modified: 2016-07-19 14:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:48:05 UTC
Type: Bug
bugs.michael: needinfo? (andreas.bierfert)


Attachments (Terms of Use)
Spec patch against F22 git branch (5.09 KB, patch)
2015-06-27 18:52 UTC, Ankur Sinha (FranciscoD)
no flags Details | Diff
Scribus icon set. The spec has comment detailing how this was generated. (480.86 KB, application/x-xz)
2015-06-27 18:53 UTC, Ankur Sinha (FranciscoD)
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Scribus 13179 0 None None None Never

Description Michael Schwendt 2015-06-13 12:21:05 UTC
This has been a topic at fedoraforum.de:

Entering "scribus" in gnome-software does not find Scribus.

Package %changelog claims an appdata file has been added in March already:
* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1.4.4-7 - Add an AppData file for the software center

It is not validated inside the spec file [ https://fedoraproject.org/wiki/Packaging:AppData ] but apparently would pass:

$ appstream-util validate-relax scribus.appdata.xml 
scribus.appdata.xml: OK

$ appstream-util validate scribus.appdata.xml 
scribus.appdata.xml: FAILED:
• tag-missing           : <update_contact> is not present
• tag-missing           : <name> is not present
• tag-missing           : <summary> is not present
• style-invalid         : Not enough <p> tags for a good description
Validation of files failed

Comment 1 Michael Schwendt 2015-06-13 12:45:38 UTC
Package appstream-data (Build Date : Mon 11 May 2015 01:55:51 PM CEST) does not contain any scribus files yet.

And scribus-1.4.4-7.fc23 failed to build.

Comment 2 Richard Hughes 2015-06-15 12:03:01 UTC
In https://github.com/hughsie/createrepo_as_logs/blob/master/s/scribus.log i see:

Failed to load icon: icon /usr/share/pixmaps/scribus.png was too small 44x44

A 44x44 icon on a HiDPI screen renders to 22x22 pixels, which would be stretched up to 64x64 in the software center looking simply awful. Hence the veto.

Is there a higher resolution icon anywhere we can use?

Richard

Comment 3 Michael Schwendt 2015-06-15 18:13:24 UTC
I'm just the reporter here ;-p  as I run into users scratching there heads when not finding programs in GNOME Software Center. Such as Sylpheed -> bug 1231978

Comment 4 Michael Schwendt 2015-06-15 18:14:37 UTC
s/there/their/ --- sorry, need to correct that typo, since it's too embarrassing

Comment 5 Ankur Sinha (FranciscoD) 2015-06-26 10:12:11 UTC
I just checked out the latest code from upstream - the largest icon they have is a 44x44 :(

[asinha@cs-as14aho-2-herts-ac-uk  1_5_0]$ pwd
/home/asinha/Documents/02_Code/00_repos/01_others/trunk/Scribus/resources/iconsets/1_5_0
[asinha@cs-as14aho-2-herts-ac-uk  1_5_0]$ file scribus*
scribus16.png:      PNG image data, 16 x 16, 8-bit/color RGBA, non-interlaced
scribusdoc16.png:   PNG image data, 16 x 16, 8-bit/color RGBA, non-interlaced
scribusdoc.png:     PNG image data, 32 x 32, 8-bit/color RGBA, non-interlaced
scribus_logo.png:   PNG image data, 600 x 298, 8-bit/color RGBA, non-interlaced
scribus.png:        PNG image data, 44 x 44, 8-bit/color RGBA, non-interlaced
scribus_splash.png: PNG image data, 500 x 401, 8-bit/color RGBA, non-interlaced

I guess an upstream bug will be required. Unfortunate since it's a great app to have in gnome-software.

Comment 6 Ankur Sinha (FranciscoD) 2015-06-27 13:17:27 UTC
Reported upstream:
http://bugs.scribus.net/view.php?id=13179

Comment 7 Ankur Sinha (FranciscoD) 2015-06-27 18:51:51 UTC
Upstream already fixed the upstream bug and added icons to the 1.5.1 tree:

https://twitter.com/scribus/status/614858748251774976

I grabbed the icons and included them in the F22 version, which is 1.4x. Spec patch and icons attached.

Comment 8 Ankur Sinha (FranciscoD) 2015-06-27 18:52:53 UTC
Created attachment 1043909 [details]
Spec patch against F22 git branch

Comment 9 Ankur Sinha (FranciscoD) 2015-06-27 18:53:47 UTC
Created attachment 1043910 [details]
Scribus icon set. The spec has comment detailing how this was generated.

Comment 10 Fedora End Of Life 2016-07-19 14:48:05 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.